{% extends 'base.html.twig' %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        <span class="text-primary fs-5 align-self-center">Leerstandsmeldungen <span class="text-secondary">({{ propertyVacancyReports|length }})</span></span>
        <button class="mdc-button mdc-button--leading ms-auto" data-coreui-toggle="collapse" data-coreui-target="#property_vacancy_report_overview_filter" aria-expanded="false" aria-controls="property_vacancy_report_overview_filter">
            <span class="mdc-button__ripple"></span>
            <i class="material-icons mdc-button__icon" aria-hidden="true">filter_alt</i>
            <span class="mdc-button__label d-none d-md-block">Filter</span>
            {% if propertyVacancyReportFilterForm.vars.data.getIndustryClassifications() is not empty %}
                <span class="position-absolute top-0 start-100 translate-middle p-1 bg-success border border-light rounded-circle">
                    <span class="visually-hidden">Filter aktiv</span>
                </span>
            {% endif %}
        </button>
    </div>
    <div class="collapse bg-white" id="property_vacancy_report_overview_filter">
        <div class="p-4">
            <div class="mb-2">
                Filter
            </div>
            {{ form_start(propertyVacancyReportFilterForm) }}
            {% include 'property_vacancy_management/form/property_vacancy_report/property_vacancy_report_filter_form.html.twig' with {'form': propertyVacancyReportFilterForm} only %}
            {{ form_widget(propertyVacancyReportFilterForm.apply, {'label': 'Übernehmen', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto'}}) }}
            {{ form_widget(propertyVacancyReportFilterForm.reset, {'attr': {'class': 'mdc-button mdc-button--leading ps-3'}}) }}
            {{ form_row(propertyVacancyReportFilterForm._token) }}
            {{ form_end(propertyVacancyReportFilterForm, {'render_rest': false}) }}
        </div>
    </div>
{% endblock %}

{% block tabBar %}
    {% include 'component/mdc_tab_bar_component.html.twig' with {
        'id': 'property_vacancy_report_overview_tab_bar',
        'tabs': [
            {'name': 'Neue Meldungen', 'id': 'property_vacancy_report_unprocessed_overview_tab', 'url': path('property_vacancy_management_property_vacancy_report_unprocessed_overview'), 'active': false},
            {'name': 'Bearbeitete Meldungen', 'id': 'property_vacancy_report_processed_overview_tab', 'url': path('property_vacancy_management_property_vacancy_report_processed_overview'), 'active': false},
        ]
    } only %}
{% endblock %}
